import http from "@/utils/request"

export default {
	menu: {
		myMenus: {
			url: `/system/menu/my/1.5.0`,
			name: "获取我的菜单",
			get: async function(){
				return await http.get({},this.url,{
					baseURL: "/mock"
				});
			}
		},
		list: {
			url: `/system/menu/list`,
			name: "获取菜单",
			get: async function(){
				return await http.get({},this.url,{
					baseURL: "/mock"
				});
			}
		}
	},
	dic: {
		tree: {
			url: `/system/dic/tree`,
			name: "获取字典树",
			get: async function(){
				return await http.get({},this.url,{
					baseURL: "/mock"
				});
			}
		},
		list: {
			url: `/system/dic/list`,
			name: "字典明细",
			get: async function(params){
				return await http.get(params,this.url,{
					baseURL: "/mock"
				});
			}
		},
		get: {
			url: `/system/dic/get`,
			name: "获取字典数据",
			get: async function(params){
				return await http.get(params,this.url,{
					baseURL: "/mock"
				});
			}
		}
	},
	role: {
		list: {
			url: `/system/role/list`,
			name: "获取角色列表",
			get: async function(params){
				return await http.get(params,this.url,{
					baseURL: "/mock"
				});
			}
		}
	},
	user: {
		list: {
			url: `/system/user/list`,
			name: "获取用户列表",
			get: async function(params){
				return await http.get(params,this.url,{
					baseURL: "/mock"
				});
			}
		}
	},
	app: {
		list: {
			url: `/system/app/list`,
			name: "应用列表",
			get: async function(){
				return await http.get({},this.url,{
					baseURL: "/mock"
				});
			}
		}
	},
	log: {
		list: {
			url: `/system/log/list`,
			name: "日志列表",
			get: async function(params){
				return await http.get(params,this.url,{
					baseURL: "/mock"
				});
			}
		}
	},
	table: {
		list: {
			url: `/system/table/list`,
			name: "表格列管理列表",
			get: async function(params){
				return await http.get(params,this.url,{
					baseURL: "/mock"
				});
			}
		},
		info: {
			url: `/system/table/info`,
			name: "表格列管理详情",
			get: async function(params){
				return await http.get(params,this.url,{
					baseURL: "/mock"
				});
			}
		}
	}
}
